Open Lighting Architecture: ola::rdm::MessageSerializer Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::rdm::MessageSerializer Class Reference

## Detailed Description

This visitor serializes the message.

Inheritance diagram for ola::rdm::MessageSerializer:

## Public Member Functions
| MessageSerializer (unsigned int initial_size=INITIAL_BUFFER_SIZE)
const uint8_t * | SerializeMessage (const ola::messaging::Message *message, unsigned int *length)
void | Visit (const ola::messaging::BoolMessageField *)
void | Visit (const ola::messaging::IPV4MessageField *)
void | Visit (const ola::messaging::MACMessageField *)
void | Visit (const ola::messaging::UIDMessageField *)
void | Visit (const ola::messaging::StringMessageField *)
void | Visit (const ola::messaging::BasicMessageField< uint8_t > *)
void | Visit (const ola::messaging::BasicMessageField< uint16_t > *)
void | Visit (const ola::messaging::BasicMessageField< uint32_t > *)
void | Visit (const ola::messaging::BasicMessageField< int8_t > *)
void | Visit (const ola::messaging::BasicMessageField< int16_t > *)
void | Visit (const ola::messaging::BasicMessageField< int32_t > *)
void | Visit (const ola::messaging::GroupMessageField *)
void | PostVisit (const ola::messaging::GroupMessageField *)

## Member Function Documentation

## ◆ PostVisit()

void ola::rdm::MessageSerializer::PostVisit | ( | const ola::messaging::GroupMessageField * | message | ) |
| virtual

Implements ola::messaging::MessageVisitor.

## ◆ SerializeMessage()

const uint8_t * ola::rdm::MessageSerializer::SerializeMessage | ( | const ola::messaging::Message * | message,
|  | unsigned int * | length )

Serialize a message and return a pointer to the message in memory

## ◆ Visit() [1/12]

void ola::rdm::MessageSerializer::Visit | ( | const ola::messaging::BasicMessageField< int16_t > * | message | ) |
| virtual

Implements ola::messaging::MessageVisitor.

## ◆ Visit() [2/12]

void ola::rdm::MessageSerializer::Visit | ( | const ola::messaging::BasicMessageField< int32_t > * | message | ) |
| virtual

Implements ola::messaging::MessageVisitor.

## ◆ Visit() [3/12]

void ola::rdm::MessageSerializer::Visit | ( | const ola::messaging::BasicMessageField< int8_t > * | message | ) |
| virtual

Implements ola::messaging::MessageVisitor.

## ◆ Visit() [4/12]

void ola::rdm::MessageSerializer::Visit | ( | const ola::messaging::BasicMessageField< uint16_t > * | message | ) |
| virtual

Implements ola::messaging::MessageVisitor.

## ◆ Visit() [5/12]

void ola::rdm::MessageSerializer::Visit | ( | const ola::messaging::BasicMessageField< uint32_t > * | message | ) |
| virtual

Implements ola::messaging::MessageVisitor.

## ◆ Visit() [6/12]

void ola::rdm::MessageSerializer::Visit | ( | const ola::messaging::BasicMessageField< uint8_t > * | message | ) |
| virtual

Implements ola::messaging::MessageVisitor.

## ◆ Visit() [7/12]

void ola::rdm::MessageSerializer::Visit | ( | const ola::messaging::BoolMessageField * | message | ) |
| virtual

Implements ola::messaging::MessageVisitor.

## ◆ Visit() [8/12]

void ola::rdm::MessageSerializer::Visit | ( | const ola::messaging::GroupMessageField * | message | ) |
| virtual

Implements ola::messaging::MessageVisitor.

## ◆ Visit() [9/12]

void ola::rdm::MessageSerializer::Visit | ( | const ola::messaging::IPV4MessageField * | message | ) |
| virtual

Implements ola::messaging::MessageVisitor.

## ◆ Visit() [10/12]

void ola::rdm::MessageSerializer::Visit | ( | const ola::messaging::MACMessageField * | message | ) |
| virtual

Implements ola::messaging::MessageVisitor.

## ◆ Visit() [11/12]

void ola::rdm::MessageSerializer::Visit | ( | const ola::messaging::StringMessageField * | message | ) |
| virtual

Implements ola::messaging::MessageVisitor.

## ◆ Visit() [12/12]

void ola::rdm::MessageSerializer::Visit | ( | const ola::messaging::UIDMessageField * | message | ) |
| virtual

Implements ola::messaging::MessageVisitor.

The documentation for this class was generated from the following files:

- include/ola/rdm/MessageSerializer.h
- common/rdm/MessageSerializer.cpp